<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDownloadsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('downloads', function(Blueprint $table)
    		{
    			$table->increments('id');
          $table->string('title', 255);
          $table->text('comment')->nullable()->default(null);
          $table->text('document')->nullable()->default(null);
          $table->softDeletes();
          $table->timestamps();
    		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('downloads');
    }
}
